Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(9)

Issue 2880653002: Display ellipsis correctly in inline blocks adjacent to floats (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 months, 2 weeks ago by rhogan
Modified:
2 months, 1 week ago
Reviewers:
eae
CC:
blink-reviews, blink-reviews-layout_chromium.org, chromium-reviews, eae+blinkwatch, jchaffraix+rendering, leviw+renderwatch, pdr+renderingwatchlist_chromium.org, szager+layoutwatch_chromium.org, zoltan1
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Display ellipsis correctly in inline blocks adjacent to floats If we're ellipsing text in atomic inlines then its the left/right bounds of the container that we need to test against - not the width available on the line, which may be reduced by the presence of floats that the atomic inlines in fact ignores. This fix is covered by passing the correct values to TryPlacingEllipsisOnAtomicInlines(). The rest of the changes are to address a a separate, but related, issue in the third testcase in LayoutTests/fast/text/place-ellipsis-in-inline-block-adjacent-float-2.html where we are adjusting the ellipsis too soon to make a correct comparison against the container edge. That adjustment tells us where the ellipsis is in the line (as opposed to where it is relative to the container's left edge) so we should defer it until we're figuring out the offset in the text we want to place the ellipsis on. This change also reveals an edge case where we currently struggle to decide correctly which side of a glyph to place the ellipsis on. This shows up in the rebaselined results and will be worked under 722043 - where we will need to figure out if the 'partial glyph' technique can be refined to give better results for cases where the direction of the text and the direction of the flow are different and/or there are runs of text with different directions. BUG=720377 Review-Url: https://codereview.chromium.org/2880653002 Cr-Commit-Position: refs/heads/master@{#473005} Committed: https://chromium.googlesource.com/chromium/src/+/8a73c444189475c28fcb01c0d6dad6e8ec370986

Patch Set 1 #

Patch Set 2 : bug 720377 #

Patch Set 3 : bug 720377 #

Patch Set 4 : bug 720377 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+85 lines, -9 lines) Patch
A third_party/WebKit/LayoutTests/fast/text/place-ellipsis-in-inline-block-adjacent-float.html View 1 1 chunk +38 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fast/text/place-ellipsis-in-inline-block-adjacent-float-2.html View 1 1 chunk +38 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/platform/linux/fast/text/place-ellipsis-in-inline-block-adjacent-float-2-expected.png View 1 Binary file 0 comments Download
A third_party/WebKit/LayoutTests/platform/linux/fast/text/place-ellipsis-in-inline-block-adjacent-float-expected.png View 1 Binary file 0 comments Download
M third_party/WebKit/LayoutTests/platform/linux/fast/text/place-mixed-ellipsis-in-inline-blocks-align-center-expected.png View 1 Binary file 0 comments Download
M third_party/WebKit/LayoutTests/platform/linux/fast/text/place-mixed-ellipsis-in-inline-blocks-align-justify-expected.png View 1 Binary file 0 comments Download
M third_party/WebKit/LayoutTests/platform/linux/fast/text/place-mixed-ellipsis-in-inline-blocks-align-left-expected.png View 1 Binary file 0 comments Download
M third_party/WebKit/LayoutTests/platform/linux/fast/text/place-mixed-ellipsis-in-inline-blocks-align-right-expected.png View 1 Binary file 0 comments Download
M third_party/WebKit/LayoutTests/platform/linux/fast/text/place-mixed-ellipsis-in-inline-blocks-expected.png View 1 Binary file 0 comments Download
A third_party/WebKit/LayoutTests/platform/mac-mac10.10/fast/text/place-ellipsis-in-inline-block-adjacent-float-2-expected.png View 1 2 3 Binary file 0 comments Download
A third_party/WebKit/LayoutTests/platform/mac-mac10.10/fast/text/place-ellipsis-in-inline-block-adjacent-float-expected.png View 1 2 3 Binary file 0 comments Download
A third_party/WebKit/LayoutTests/platform/mac-mac10.9/fast/text/place-ellipsis-in-inline-block-adjacent-float-2-expected.png View 1 2 3 Binary file 0 comments Download
A third_party/WebKit/LayoutTests/platform/mac-mac10.9/fast/text/place-ellipsis-in-inline-block-adjacent-float-expected.png View 1 2 3 Binary file 0 comments Download
A third_party/WebKit/LayoutTests/platform/mac/fast/text/place-ellipsis-in-inline-block-adjacent-float-2-expected.png View 1 2 3 Binary file 0 comments Download
A third_party/WebKit/LayoutTests/platform/mac/fast/text/place-ellipsis-in-inline-block-adjacent-float-expected.png View 1 2 3 Binary file 0 comments Download
A third_party/WebKit/LayoutTests/platform/win/fast/text/place-ellipsis-in-inline-block-adjacent-float-2-expected.png View 1 2 3 Binary file 0 comments Download
A third_party/WebKit/LayoutTests/platform/win/fast/text/place-ellipsis-in-inline-block-adjacent-float-expected.png View 1 2 3 Binary file 0 comments Download
M third_party/WebKit/LayoutTests/platform/win/fast/text/place-rtl-ellipsis-in-inline-blocks-align-center-expected.png View 1 2 3 Binary file 0 comments Download
M third_party/WebKit/LayoutTests/platform/win/fast/text/place-rtl-ellipsis-in-inline-blocks-align-justify-expected.png View 1 2 3 Binary file 0 comments Download
M third_party/WebKit/LayoutTests/platform/win/fast/text/place-rtl-ellipsis-in-inline-blocks-align-left-expected.png View 1 2 3 Binary file 0 comments Download
M third_party/WebKit/LayoutTests/platform/win/fast/text/place-rtl-ellipsis-in-inline-blocks-align-right-expected.png View 1 2 3 Binary file 0 comments Download
M third_party/WebKit/LayoutTests/platform/win/fast/text/place-rtl-ellipsis-in-inline-blocks-expected.png View 1 2 3 Binary file 0 comments Download
A third_party/WebKit/LayoutTests/platform/win7/fast/text/place-ellipsis-in-inline-block-adjacent-float-2-expected.png View 1 2 3 Binary file 0 comments Download
A third_party/WebKit/LayoutTests/platform/win7/fast/text/place-ellipsis-in-inline-block-adjacent-float-expected.png View 1 2 3 Binary file 0 comments Download
M third_party/WebKit/LayoutTests/platform/win7/fast/text/place-rtl-ellipsis-in-inline-blocks-align-center-expected.png View 1 2 3 Binary file 0 comments Download
M third_party/WebKit/LayoutTests/platform/win7/fast/text/place-rtl-ellipsis-in-inline-blocks-align-justify-expected.png View 1 2 3 Binary file 0 comments Download
M third_party/WebKit/LayoutTests/platform/win7/fast/text/place-rtl-ellipsis-in-inline-blocks-align-left-expected.png View 1 2 3 Binary file 0 comments Download
M third_party/WebKit/LayoutTests/platform/win7/fast/text/place-rtl-ellipsis-in-inline-blocks-align-right-expected.png View 1 2 3 Binary file 0 comments Download
M third_party/WebKit/LayoutTests/platform/win7/fast/text/place-rtl-ellipsis-in-inline-blocks-expected.png View 1 2 3 Binary file 0 comments Download
M third_party/WebKit/Source/core/layout/LayoutBlockFlowLine.cpp View 1 2 chunks +3 lines, -3 lines 0 comments Download
M third_party/WebKit/Source/core/layout/line/InlineTextBox.cpp View 1 2 2 chunks +6 lines, -6 lines 0 comments Download
Commit queue not available (can’t edit this change).

Dependent Patchsets:

Messages

Total messages: 24 (20 generated)
rhogan
2 months, 1 week ago (2017-05-16 18:10:02 UTC) #17
eae
Thank you, LGTM
2 months, 1 week ago (2017-05-16 18:45:55 UTC) #18
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2880653002/60001
2 months, 1 week ago (2017-05-18 19:14:47 UTC) #21
commit-bot: I haz the power
2 months, 1 week ago (2017-05-19 01:07:43 UTC) #24
Message was sent while issue was closed.
Committed patchset #4 (id:60001) as
https://chromium.googlesource.com/chromium/src/+/8a73c444189475c28fcb01c0d6da...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 25c286973